com.tibco.ax.fw.runtime.transport.file

## Interface FILEClient

-     public interface FILEClient

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DELETEREF` The custom script can refrain from deleting the referenced source by setting this slot to the value 'false' (this is if the framework transport is not configured to remove the reference).
    `static java.lang.String` | `DOCUMENTID` The document ID of the message.
    `static java.lang.String` | `HOSTNAME` The host name
    `static java.lang.String` | `LOG_OBJ` The log client extension handle for custom scripts to log.
    `static java.lang.String` | `MSGOBJECT` If the payload exists in memory and therefore it is not referenced by a filename, this slot holds the object, which can be retrieved through the method get("dataObj").
    `static java.lang.String` | `OPERATIONID` The operation ID of the message.
    `static java.lang.String` | `SRCFILENAME` The file name used for outbound referenced payload.
    `static java.lang.String` | `SRCFILEPATH` The file path used for outbound referenced payload.
    `static java.lang.String` | `SRCFILEURL` The transport url for outbound referenced payload.
    `static java.lang.String` | `TPNAME` The partner name
    `static java.lang.String` | `TRANSACTIONID` The transaction ID of the message.
    `static java.lang.String` | `USERSTATUSCODE` The custom script can return a status code in this slot.
    `static java.lang.String` | `USERSTATUSMSG` The custom script can return a status message in this slot.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aeTrace(java.lang.String role, java.lang.String msgcode, java.lang.String desc, java.lang.String trackingInfo)` Send information to the BusinessConnect log.
    `java.lang.Object` | `get(java.lang.String prop)`
    `IClientObject` | `getClientObject()` Retrieve a client object, which can provide more context specific information about the transaction.
    `java.lang.String` | `getName()` Retrieve the name of the file client instance.
    `java.lang.String` | `getUserStatusCode()` Get the specified status code
    `java.lang.String` | `getUserStatusMsg()` Get the specified status message
    `void` | `put(java.lang.String prop, boolean del)` Regardless of the prop value, set the 'DELETEREF' slot to the value of 'del'
    `void` | `put(java.lang.String prop, java.lang.Object value)`

- - ### Field Detail

    - #### LOG_OBJ

          static final java.lang.String LOG_OBJ

      The log client extension handle for custom scripts to log.
      See Also:
        Constant Field Values

    - #### SRCFILEPATH

          static final java.lang.String SRCFILEPATH

      The file path used for outbound referenced payload.
      See Also:
        Constant Field Values

    - #### SRCFILENAME

          static final java.lang.String SRCFILENAME

      The file name used for outbound referenced payload.
      See Also:
        Constant Field Values

    - #### SRCFILEURL

          static final java.lang.String SRCFILEURL

      The transport url for outbound referenced payload.
      See Also:
        Constant Field Values

    - #### TPNAME

          static final java.lang.String TPNAME

      The partner name
      See Also:
        Constant Field Values

    - #### HOSTNAME

          static final java.lang.String HOSTNAME

      The host name
      See Also:
        Constant Field Values

    - #### OPERATIONID

          static final java.lang.String OPERATIONID

      The operation ID of the message. E.g. BC/1.0/Notify
      See Also:
        Constant Field Values

    - #### TRANSACTIONID

          static final java.lang.String TRANSACTIONID

      The transaction ID of the message. E.g. Tid0001
      See Also:
        Constant Field Values

    - #### DOCUMENTID

          static final java.lang.String DOCUMENTID

      The document ID of the message. E.g. did0001
      See Also:
        Constant Field Values

    - #### MSGOBJECT

          static final java.lang.String MSGOBJECT

      If the payload exists in memory and therefore it is not referenced by a filename, this slot holds the object, which can be retrieved through the method get("dataObj").
      See Also:
        Constant Field Values

    - #### DELETEREF

          static final java.lang.String DELETEREF

      The custom script can refrain from deleting the referenced source by setting this slot to the value 'false' (this is if the framework transport is not configured to remove the reference). The default is 'true'.
      See Also:
        Constant Field Values

    - #### USERSTATUSCODE

          static final java.lang.String USERSTATUSCODE

      The custom script can return a status code in this slot. This value is used by the framework to determine the outcome of the custom script. If this slot is not populated or populated with a value such that 200 <= code < 300, the framework assumes a successful execution, else an error will be assumed and the corresponding advisory will be generated.
      See Also:
        Constant Field Values

    - #### USERSTATUSMSG

          static final java.lang.String USERSTATUSMSG

      The custom script can return a status message in this slot.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          java.lang.Object get(java.lang.String prop)

    - #### put

          void put(java.lang.String prop,
                 java.lang.Object value)

    - #### put

          void put(java.lang.String prop,
                 boolean del)

      Regardless of the prop value, set the 'DELETEREF' slot to the value of 'del'

    - #### aeTrace

          void aeTrace(java.lang.String role,
                     java.lang.String msgcode,
                     java.lang.String desc,
                     java.lang.String trackingInfo)

      Send information to the BusinessConnect log.
      Parameters:
        `role` - any of the values "INFO", "ERROR", "WARN", "DEBUG".
        `msgcode` - any message code that the script may want to return, e.g. 200.
        `desc` - any message describing the event, e.g. "Message has been sent successfully."
        `trackingInfo` - any optional info to track/identify the event, e.g. an identifier of the business message. May be null or empty.

    - #### getName

          java.lang.String getName()

      Retrieve the name of the file client instance.
      Returns:
        It currently returns "FILEClientImpl".

    - #### getUserStatusCode

          java.lang.String getUserStatusCode()

      Get the specified status code

    - #### getUserStatusMsg

          java.lang.String getUserStatusMsg()

      Get the specified status message

    - #### getClientObject

          IClientObject getClientObject()

      Retrieve a client object, which can provide more context specific information about the transaction.
      Returns:
        The client object `IClientObject`.